<!-- vertical align editor -->
<template>
    <div>
        <span>
            <v-btn-toggle v-model="val">
                <v-btn height="24px" @click="tclick" :value="-1">
                    <v-icon>mdi-format-vertical-align-top</v-icon>
                </v-btn>
                <v-btn height="24px" @click="cclick" :value="0">
                    <v-icon>mdi-format-vertical-align-center</v-icon>
                </v-btn>
                <v-btn height="24px" @click="bclick" :value="1">
                    <v-icon>mdi-format-vertical-align-bottom</v-icon>
                </v-btn>
            </v-btn-toggle>    
        </span>
    </div>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
    props: {
        value: {
            type: Number,  // -1=top, 0=center, 1=bottom
            required: true
        },
    },

    computed: {
        val: {
            get: function(): number { return this.value; },
            set: function(): void   { /* ignore */       }
        }
    },

    methods: {
        tclick(): void { this.$emit("input", -1); },
        cclick(): void { this.$emit("input", 0); },
        bclick(): void { this.$emit("input", 1); },
    }
});
</script>

<style scoped>
.w100 {
    width: 100px;
}

</style>
